WebhookRegistrationService
The WebhookRegistrationService methods and their request and response messages.
Generated from automation.proto. Every method is
POST /rpc/engram.app.v1.WebhookRegistrationService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
CreateWebhookRegistration |
CreateWebhookRegistrationRequest |
CreateWebhookRegistrationResponse |
ListWebhookRegistrations |
ListWebhookRegistrationsRequest |
ListWebhookRegistrationsResponse |
DeleteWebhookRegistration |
DeleteWebhookRegistrationRequest |
DeleteWebhookRegistrationResponse |
ListWebhookEvents |
ListWebhookEventsRequest |
ListWebhookEventsResponse |
Messages
Section titled “Messages”CreateWebhookRegistrationRequest
Section titled “CreateWebhookRegistrationRequest”| Field | Type |
|---|---|
id |
string |
name |
string |
verification_scheme |
string |
provider_hint |
string (optional) |
CreateWebhookRegistrationResponse
Section titled “CreateWebhookRegistrationResponse”| Field | Type |
|---|---|
registration |
WebhookRegistration |
secret |
string |
DeleteWebhookRegistrationRequest
Section titled “DeleteWebhookRegistrationRequest”| Field | Type |
|---|---|
id |
string |
DeleteWebhookRegistrationResponse
Section titled “DeleteWebhookRegistrationResponse”| Field | Type |
|---|---|
deleted |
bool |
ListWebhookEventsRequest
Section titled “ListWebhookEventsRequest”| Field | Type |
|---|---|
registration_id |
string |
ListWebhookEventsResponse
Section titled “ListWebhookEventsResponse”| Field | Type |
|---|---|
events |
repeated WebhookEvent |
variables |
repeated WebhookVariable |
ListWebhookRegistrationsRequest
Section titled “ListWebhookRegistrationsRequest”No fields.
ListWebhookRegistrationsResponse
Section titled “ListWebhookRegistrationsResponse”| Field | Type |
|---|---|
registrations |
repeated WebhookRegistration |
WebhookEvent
Section titled “WebhookEvent”| Field | Type |
|---|---|
key |
string |
display_name |
string |
observed |
bool |
WebhookRegistration
Section titled “WebhookRegistration”| Field | Type |
|---|---|
id |
string |
name |
string |
verification_scheme |
string |
provider_hint |
string (optional) |
created_by_user_id |
string (optional) |
created_at |
string |
updated_at |
string |
disabled_reason |
string (optional) |
WebhookVariable
Section titled “WebhookVariable”| Field | Type |
|---|---|
path |
string |
alias |
string |